<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>

<logic:present cookie="JSESSIONID">
Cookie:<bean:cookie id="myCookie" name="JSESSIONID"/>
<bean:write name="myCookie" property="value"/>
</logic:present>

<logic:present header="User-Agent">
  <bean:header id="agent" name="User-Agent"/>
  User agent: <bean:write name="agent"/><br/>
</logic:present>

<logic:present header="Referer">
  <bean:header id="referer" name="Referer"/>
  Referer: <bean:write name="referer"/><br/>
</logic:present>

<logic:present parameter="userId">
  <bean:parameter id="myParam" name="userId"/>
  <bean:write name="myParam"/>
</logic:present>
<logic:notPresent parameter="userId">
  No userId is found. Please click the Back button.
</logic:notPresent>

<logic:greaterThan cookie="quantity" value="10">
Orders of more than 10 units are not allowed.
</logic:greaterThan>

<hr/>

<logic:present parameter="category">
  <logic:match parameter="category" value="classA" >
    category starts with classA
  </logic:match>
  <logic:notMatch parameter="category" value="classA" location="start">
    category does not start with classA
  </logic:notMatch>
</logic:present>


<hr/>
<logic:iterate id="address" name="addressList">
Street Address:<bean:write name="address" property="streetAddress"/><br/>
City:<bean:write name="address" property="city"/><br/>
State:<bean:write name="address" property="state"/><br/>
Zip Code:<bean:write name="address" property="zipCode"/><br/>

  <logic:iterate id="phone" name="address" property="phones">
  &nbsp;&nbsp;Phone:<bean:write name="phone"/><br/>
  
  </logic:iterate>

<hr/>
</logic:iterate>


